org.apache.commons.imaging.formats.tiff.constants

## Class DcfTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.DcfTagConstants

-     public final class DcfTagConstants
      extends Object

  Design rule for Camera Filesystem
  http://www.exif.org/dcf.PDF

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<TagInfo>` | `ALL_DCF_TAGS`
    `static int` | `COLOR_SPACE_VALUE_ADOBE_RGB`
    `static int` | `COLOR_SPACE_VALUE_SRGB`
    `static int` | `COLOR_SPACE_VALUE_UNCALIBRATED`
    `static TagInfoShort` | `EXIF_TAG_COLOR_SPACE`
    `static TagInfoAscii` | `EXIF_TAG_RELATED_IMAGE_FILE_FORMAT`
    `static TagInfoShortOrLong` | `EXIF_TAG_RELATED_IMAGE_LENGTH`
    `static TagInfoShortOrLong` | `EXIF_TAG_RELATED_IMAGE_WIDTH`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_RELATED_IMAGE_FILE_FORMAT

          public static final TagInfoAscii EXIF_TAG_RELATED_IMAGE_FILE_FORMAT

    - #### EXIF_TAG_RELATED_IMAGE_WIDTH

          public static final TagInfoShortOrLong EXIF_TAG_RELATED_IMAGE_WIDTH

    - #### EXIF_TAG_RELATED_IMAGE_LENGTH

          public static final TagInfoShortOrLong EXIF_TAG_RELATED_IMAGE_LENGTH

    - #### EXIF_TAG_COLOR_SPACE

          public static final TagInfoShort EXIF_TAG_COLOR_SPACE

    - #### COLOR_SPACE_VALUE_SRGB

          public static final int COLOR_SPACE_VALUE_SRGB

      See Also:
        Constant Field Values

    - #### COLOR_SPACE_VALUE_ADOBE_RGB

          public static final int COLOR_SPACE_VALUE_ADOBE_RGB

      See Also:
        Constant Field Values

    - #### COLOR_SPACE_VALUE_UNCALIBRATED

          public static final int COLOR_SPACE_VALUE_UNCALIBRATED

      See Also:
        Constant Field Values

    - #### ALL_DCF_TAGS

          public static final List<TagInfo> ALL_DCF_TAGS

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.